var server = require("./server.js");
server.init();

/*
    johnny-five [ Arduino Setting ]
*/
var five = require("johnny-five");
var board = new five.Board();
var servo1;

board.on("ready", function() {
    // デジタル11番ピンを設定
    servo2 = new five.Servo(11);
});

/*
    Socket.IO
*/
// サーバーへのアクセスを監視。アクセスがあったらコールバックが実行
server.io.sockets.on("connection", function (s) {
    var socket = s;

    // クライアントからのデータの受信
    socket.on("servo", function(dataFromClient) {
        // サーボモーターを目的の角度まで回転
        if(servo1) servo1.to(Number(dataFromClient.angleX));
    });
});